Bug 1258812 - [scale] VmsMonitoring vm not in changed list, skipping devices update.
[scale] VmsMonitoring vm not in changed list, skipping devices update.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
x86_64 Linux
medium Severity high
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Michal Skrivanek
Eldad Marciano
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 06:50 EDT by Eldad Marciano
Modified: 2016-04-19 21:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:38:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45580 master MERGED EventsSupported configuratoin. check the EventsSupported configuratoin for cross object type support and not just for vm... Never
oVirt gerrit 46083 ovirt-engine-3.6 MERGED core: EventsSupported configuratoin. check the EventsSupported configuratoin for cross object type support and not just ... Never

  None (edit)
Description Eldad Marciano 2015-09-01 06:50:36 EDT
Description of problem:
as part of events benchmark tests, switch events on and off(engine side), engine skip the status that should be updated.

seems like RefresherFactory.VmStatsRefresher() runs just for 'VmStatsEventsSupported' configuration and not for 'EventsSupported':
-VmStatsEventsSupported

might be better to use EventsSupported configuration for cross wide events support and not just for vms.

Version-Release number of selected component (if applicable):
refresherFactory

How reproducible:
90%

Steps to Reproduce:
1. run 109 vms with 1 hyperv
2. stop the engine plus set evetns false by 'INSERT INTO vdc_options (option_name,option_value,version) VALUES ('EventsSupported','false',3.6);' and run the engine
3. stop the vms.
4. stop the engine plus set evetns true 'UPDATE vdc_options set option_value='true' where option_name='EventsSupported' and version = '3.6';' and restart the engine.
5. start the vms again.

Actual results:
engine wont update the vm statuses and dump the following messages:
2015-08-31 15:34:22,545 WARN [org.ovirt.engine.core.vdsbroker.VmsMonitoring] (DefaultQuartzScheduler_Worker-13) [62ba10f0] VM 'd91648fd-09f2-46e3-a6f1-3b9623cae095' not in changed list, skipping devices update

Expected results:
check the EventsSupported configuratoin for cross object type support and not just for vms.


Additional info:
Comment 1 Eldad Marciano 2015-09-03 05:15:40 EDT
best practice \ workaround, using both 'EventsSupported' and 'VmStatsEventsSupported'

Note You need to log in before you can comment on or make changes to this bug.